package at.gv.brz.bjujq.erv.samples.anschriftcode;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodePortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.AnschriftcodeAbfragenRequest;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.AnschriftcodeAbfragenResponse;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodePortType;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodeServiceException_Exception;

public class AnschriftcodeAbfragen {

    public static void main(String[] args) throws ERVAnschriftcodeServiceException_Exception {
        ERVAnschriftcodePortType ervAnschriftcodePortType = new MockErvAnschriftcodePortBuilder()
                                        .withAnschriftcodeAbfragen()
                                        .build();

        AnschriftcodeAbfragenRequest request = SchemaUtil.OF_AN_SERVICE.createAnschriftcodeAbfragenRequest();
        request.getAnschriftcode().add("R000001");
        request.getAnschriftcode().add("R000002");
        request.getAnschriftcode().add("R000003");

        AnschriftcodeAbfragenResponse response = ervAnschriftcodePortType.anschriftcodeAbfragen(request);

        if (!response.getAnschriftcodedaten().isEmpty()) {
            // Verarbeite Antwort
        }
    }
}
