
package at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import at.gv.justiz.erv.ervtypenextern.v3_0.FehlerTyp;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Anschriftcodedaten_QNAME = new QName("http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", "Anschriftcodedaten");
    private final static QName _AnschriftcodeStatus_QNAME = new QName("http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", "AnschriftcodeStatus");
    private final static QName _AnschriftcodeSichtbarkeit_QNAME = new QName("http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", "AnschriftcodeSichtbarkeit");
    private final static QName _AnschriftcodeKopplung_QNAME = new QName("http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", "AnschriftcodeKopplung");
    private final static QName _Fehler_QNAME = new QName("http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", "Fehler");
    private final static QName _AnschriftcodeFehler_QNAME = new QName("http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", "AnschriftcodeFehler");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link AnschriftcodedatenTyp }
     * 
     */
    public AnschriftcodedatenTyp createAnschriftcodedatenTyp() {
        return new AnschriftcodedatenTyp();
    }

    /**
     * Create an instance of {@link AnschriftcodeStatusTyp }
     * 
     */
    public AnschriftcodeStatusTyp createAnschriftcodeStatusTyp() {
        return new AnschriftcodeStatusTyp();
    }

    /**
     * Create an instance of {@link AnschriftcodeSichtbarkeitTyp }
     * 
     */
    public AnschriftcodeSichtbarkeitTyp createAnschriftcodeSichtbarkeitTyp() {
        return new AnschriftcodeSichtbarkeitTyp();
    }

    /**
     * Create an instance of {@link AnschriftcodeKopplungTyp }
     * 
     */
    public AnschriftcodeKopplungTyp createAnschriftcodeKopplungTyp() {
        return new AnschriftcodeKopplungTyp();
    }

    /**
     * Create an instance of {@link AnschriftcodeFehlerTyp }
     * 
     */
    public AnschriftcodeFehlerTyp createAnschriftcodeFehlerTyp() {
        return new AnschriftcodeFehlerTyp();
    }

    /**
     * Create an instance of {@link KopplungTyp }
     * 
     */
    public KopplungTyp createKopplungTyp() {
        return new KopplungTyp();
    }

    /**
     * Create an instance of {@link DatensichtbarkeitTyp }
     * 
     */
    public DatensichtbarkeitTyp createDatensichtbarkeitTyp() {
        return new DatensichtbarkeitTyp();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnschriftcodedatenTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", name = "Anschriftcodedaten")
    public JAXBElement<AnschriftcodedatenTyp> createAnschriftcodedaten(AnschriftcodedatenTyp value) {
        return new JAXBElement<AnschriftcodedatenTyp>(_Anschriftcodedaten_QNAME, AnschriftcodedatenTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnschriftcodeStatusTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", name = "AnschriftcodeStatus")
    public JAXBElement<AnschriftcodeStatusTyp> createAnschriftcodeStatus(AnschriftcodeStatusTyp value) {
        return new JAXBElement<AnschriftcodeStatusTyp>(_AnschriftcodeStatus_QNAME, AnschriftcodeStatusTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnschriftcodeSichtbarkeitTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", name = "AnschriftcodeSichtbarkeit")
    public JAXBElement<AnschriftcodeSichtbarkeitTyp> createAnschriftcodeSichtbarkeit(AnschriftcodeSichtbarkeitTyp value) {
        return new JAXBElement<AnschriftcodeSichtbarkeitTyp>(_AnschriftcodeSichtbarkeit_QNAME, AnschriftcodeSichtbarkeitTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnschriftcodeKopplungTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", name = "AnschriftcodeKopplung")
    public JAXBElement<AnschriftcodeKopplungTyp> createAnschriftcodeKopplung(AnschriftcodeKopplungTyp value) {
        return new JAXBElement<AnschriftcodeKopplungTyp>(_AnschriftcodeKopplung_QNAME, AnschriftcodeKopplungTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FehlerTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", name = "Fehler")
    public JAXBElement<FehlerTyp> createFehler(FehlerTyp value) {
        return new JAXBElement<FehlerTyp>(_Fehler_QNAME, FehlerTyp.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AnschriftcodeFehlerTyp }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2", name = "AnschriftcodeFehler")
    public JAXBElement<AnschriftcodeFehlerTyp> createAnschriftcodeFehler(AnschriftcodeFehlerTyp value) {
        return new JAXBElement<AnschriftcodeFehlerTyp>(_AnschriftcodeFehler_QNAME, AnschriftcodeFehlerTyp.class, null, value);
    }

}
