
package at.gv.justiz.erv.ervnachrichtextern.v3_0;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import at.gv.justiz.erv.ervtypenextern.v3_0.TeilnehmerKennungTyp;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.Service;


/**
 * <p>Java-Klasse für EmpfaengerTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="EmpfaengerTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Teilnehmer" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}TeilnehmerKennungTyp"/&gt;
 *         &lt;element name="ServiceArt" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}Service"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EmpfaengerTyp", propOrder = {
    "teilnehmer",
    "serviceArt"
})
public class EmpfaengerTyp {

    @XmlElement(name = "Teilnehmer", required = true)
    protected TeilnehmerKennungTyp teilnehmer;
    @XmlElement(name = "ServiceArt", required = true)
    @XmlSchemaType(name = "token")
    protected Service serviceArt;

    /**
     * Ruft den Wert der teilnehmer-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link TeilnehmerKennungTyp }
     *     
     */
    public TeilnehmerKennungTyp getTeilnehmer() {
        return teilnehmer;
    }

    /**
     * Legt den Wert der teilnehmer-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link TeilnehmerKennungTyp }
     *     
     */
    public void setTeilnehmer(TeilnehmerKennungTyp value) {
        this.teilnehmer = value;
    }

    /**
     * Ruft den Wert der serviceArt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link Service }
     *     
     */
    public Service getServiceArt() {
        return serviceArt;
    }

    /**
     * Legt den Wert der serviceArt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link Service }
     *     
     */
    public void setServiceArt(Service value) {
        this.serviceArt = value;
    }

}
