package at.gv.brz.bjujq.erv.samples.common;

import java.nio.file.Files;
import java.nio.file.Paths;

public final class ClasspathUtil {

    public static byte[] readResourceBytes(final String resourceName) {
        try {
            return Files.readAllBytes(Paths.get(Thread.currentThread()
                    .getContextClassLoader()
                    .getResource(resourceName)
                    .toURI()));
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    private ClasspathUtil() {

    }
}
