
package at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;
import at.gv.justiz.erv.ervtypenextern.v3_0.ServiceTyp;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.AnschriftcodeStatus;


/**
 * <p>Java-Klasse für AnschriftcodedatenTyp complex type.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * 
 * <pre>
 * &lt;complexType name="AnschriftcodedatenTyp"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Anschriftcode" type="{http://www.w3.org/2001/XMLSchema}token"/&gt;
 *         &lt;element name="Status" type="{http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0}AnschriftcodeStatus"/&gt;
 *         &lt;element name="Zeitpunkt" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/&gt;
 *         &lt;element name="Service" type="{http://erv.justiz.gv.at/ERVTypenExtern/V3_0}ServiceTyp"/&gt;
 *         &lt;element name="Datensichtbarkeit" type="{http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2}DatensichtbarkeitTyp" minOccurs="0"/&gt;
 *         &lt;element name="Kopplung" type="{http://erv.justiz.gv.at/ERVAnschriftcodeNachrichtExtern/V3_2}KopplungTyp" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AnschriftcodedatenTyp", propOrder = {
    "anschriftcode",
    "status",
    "zeitpunkt",
    "service",
    "datensichtbarkeit",
    "kopplung"
})
public class AnschriftcodedatenTyp {

    @XmlElement(name = "Anschriftcode", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "token")
    protected String anschriftcode;
    @XmlElement(name = "Status", required = true)
    @XmlSchemaType(name = "token")
    protected AnschriftcodeStatus status;
    @XmlElement(name = "Zeitpunkt")
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar zeitpunkt;
    @XmlElement(name = "Service", required = true)
    protected ServiceTyp service;
    @XmlElement(name = "Datensichtbarkeit")
    protected DatensichtbarkeitTyp datensichtbarkeit;
    @XmlElement(name = "Kopplung")
    protected KopplungTyp kopplung;

    /**
     * Ruft den Wert der anschriftcode-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnschriftcode() {
        return anschriftcode;
    }

    /**
     * Legt den Wert der anschriftcode-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnschriftcode(String value) {
        this.anschriftcode = value;
    }

    /**
     * Ruft den Wert der status-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link AnschriftcodeStatus }
     *     
     */
    public AnschriftcodeStatus getStatus() {
        return status;
    }

    /**
     * Legt den Wert der status-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link AnschriftcodeStatus }
     *     
     */
    public void setStatus(AnschriftcodeStatus value) {
        this.status = value;
    }

    /**
     * Ruft den Wert der zeitpunkt-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getZeitpunkt() {
        return zeitpunkt;
    }

    /**
     * Legt den Wert der zeitpunkt-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setZeitpunkt(XMLGregorianCalendar value) {
        this.zeitpunkt = value;
    }

    /**
     * Ruft den Wert der service-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link ServiceTyp }
     *     
     */
    public ServiceTyp getService() {
        return service;
    }

    /**
     * Legt den Wert der service-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link ServiceTyp }
     *     
     */
    public void setService(ServiceTyp value) {
        this.service = value;
    }

    /**
     * Ruft den Wert der datensichtbarkeit-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link DatensichtbarkeitTyp }
     *     
     */
    public DatensichtbarkeitTyp getDatensichtbarkeit() {
        return datensichtbarkeit;
    }

    /**
     * Legt den Wert der datensichtbarkeit-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link DatensichtbarkeitTyp }
     *     
     */
    public void setDatensichtbarkeit(DatensichtbarkeitTyp value) {
        this.datensichtbarkeit = value;
    }

    /**
     * Ruft den Wert der kopplung-Eigenschaft ab.
     * 
     * @return
     *     possible object is
     *     {@link KopplungTyp }
     *     
     */
    public KopplungTyp getKopplung() {
        return kopplung;
    }

    /**
     * Legt den Wert der kopplung-Eigenschaft fest.
     * 
     * @param value
     *     allowed object is
     *     {@link KopplungTyp }
     *     
     */
    public void setKopplung(KopplungTyp value) {
        this.kopplung = value;
    }

}
