
package at.gv.justiz.erv.ervnachrichtserviceextern.v3_0;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the at.gv.justiz.erv.ervnachrichtserviceextern.v3_0 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _NachrichtAbholenRequest_QNAME = new QName("http://erv.justiz.gv.at/ERVNachrichtServiceExtern/V3_0", "NachrichtAbholenRequest");
    private final static QName _NachrichtAnzahlRequest_QNAME = new QName("http://erv.justiz.gv.at/ERVNachrichtServiceExtern/V3_0", "NachrichtAnzahlRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: at.gv.justiz.erv.ervnachrichtserviceextern.v3_0
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ERVException }
     * 
     */
    public ERVException createERVException() {
        return new ERVException();
    }

    /**
     * Create an instance of {@link NachrichtEinbringenRequest }
     * 
     */
    public NachrichtEinbringenRequest createNachrichtEinbringenRequest() {
        return new NachrichtEinbringenRequest();
    }

    /**
     * Create an instance of {@link NachrichtEinbringenResponse }
     * 
     */
    public NachrichtEinbringenResponse createNachrichtEinbringenResponse() {
        return new NachrichtEinbringenResponse();
    }

    /**
     * Create an instance of {@link NachrichtStatusRequest }
     * 
     */
    public NachrichtStatusRequest createNachrichtStatusRequest() {
        return new NachrichtStatusRequest();
    }

    /**
     * Create an instance of {@link NachrichtStatusResponse }
     * 
     */
    public NachrichtStatusResponse createNachrichtStatusResponse() {
        return new NachrichtStatusResponse();
    }

    /**
     * Create an instance of {@link NachrichtAbholenResponse }
     * 
     */
    public NachrichtAbholenResponse createNachrichtAbholenResponse() {
        return new NachrichtAbholenResponse();
    }

    /**
     * Create an instance of {@link NachrichtBestaetigenRequest }
     * 
     */
    public NachrichtBestaetigenRequest createNachrichtBestaetigenRequest() {
        return new NachrichtBestaetigenRequest();
    }

    /**
     * Create an instance of {@link NachrichtBestaetigenResponse }
     * 
     */
    public NachrichtBestaetigenResponse createNachrichtBestaetigenResponse() {
        return new NachrichtBestaetigenResponse();
    }

    /**
     * Create an instance of {@link NachrichtAnzahlResponse }
     * 
     */
    public NachrichtAnzahlResponse createNachrichtAnzahlResponse() {
        return new NachrichtAnzahlResponse();
    }

    /**
     * Create an instance of {@link NachweisEinbringenRequest }
     * 
     */
    public NachweisEinbringenRequest createNachweisEinbringenRequest() {
        return new NachweisEinbringenRequest();
    }

    /**
     * Create an instance of {@link NachweisEinbringenResponse }
     * 
     */
    public NachweisEinbringenResponse createNachweisEinbringenResponse() {
        return new NachweisEinbringenResponse();
    }

    /**
     * Create an instance of {@link NachweisAbholenRequest }
     * 
     */
    public NachweisAbholenRequest createNachweisAbholenRequest() {
        return new NachweisAbholenRequest();
    }

    /**
     * Create an instance of {@link NachweisAbholenResponse }
     * 
     */
    public NachweisAbholenResponse createNachweisAbholenResponse() {
        return new NachweisAbholenResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVNachrichtServiceExtern/V3_0", name = "NachrichtAbholenRequest")
    public JAXBElement<Object> createNachrichtAbholenRequest(Object value) {
        return new JAXBElement<Object>(_NachrichtAbholenRequest_QNAME, Object.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Object }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://erv.justiz.gv.at/ERVNachrichtServiceExtern/V3_0", name = "NachrichtAnzahlRequest")
    public JAXBElement<Object> createNachrichtAnzahlRequest(Object value) {
        return new JAXBElement<Object>(_NachrichtAnzahlRequest_QNAME, Object.class, null, value);
    }

}
