
package at.gv.justiz.erv.ervwertebereichextern.v3_0;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java-Klasse für Sichtbarkeitsstufe.
 * 
 * <p>Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.
 * <p>
 * <pre>
 * &lt;simpleType name="Sichtbarkeitsstufe"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}token"&gt;
 *     &lt;enumeration value="LEVEL_1"/&gt;
 *     &lt;enumeration value="LEVEL_2"/&gt;
 *     &lt;enumeration value="LEVEL_3"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "Sichtbarkeitsstufe", namespace = "http://erv.justiz.gv.at/ERVWertebereichExtern/V3_0")
@XmlEnum
public enum Sichtbarkeitsstufe {


    /**
     * 
     * 						Anschriftcode, ERV-Status, Kopplungsstatus, untergeordnete und uebergeordnete Anschriftcodes (z.B. Neben- und Hauptcodes)
     * 					
     * 
     */
    LEVEL_1,

    /**
     * 
     * 						Name der Person, Adresse, Beruf, Ordnungsbegriffe
     * 					
     * 
     */
    LEVEL_2,

    /**
     * 
     * 						Kontaktdaten
     * 					
     * 
     */
    LEVEL_3;

    public String value() {
        return name();
    }

    public static Sichtbarkeitsstufe fromValue(String v) {
        return valueOf(v);
    }

}
